#
# spec file for package libHX
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           libHX
%define lname   libHX28
Summary:        Collection of routines for C and C++ programming
License:        LGPL-2.1-only OR LGPL-3.0-only
Group:          Development/Libraries/C and C++
Version:        3.23
Release:        0
Url:            http://libhx.sf.net/

Source:         http://downloads.sf.net/libhx/libHX-%version.tar.xz
Source2:        http://downloads.sf.net/libhx/libHX-%version.tar.asc
Source3:        baselibs.conf
Source4:        %name.keyring
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  gcc-c++
BuildRequires:  pkg-config
BuildRequires:  xz

%description
libHX is a C library (with some C++ bindings available) that provides
data structures and functions commonly needed, such as maps, deques,
linked lists, string formatting and autoresizing, option and config
file parsing, type checking casts and more.

%package -n %lname
Summary:        Collection of routines for C and C++ programming
Group:          System/Libraries

%description -n %lname
libHX is a C library (with some C++ bindings available) that provides
data structures and functions commonly needed, such as maps, deques,
linked lists, string formatting and autoresizing, option and config
file parsing, type checking casts and more.

libHX aids in quickly writing up C and C++ data processing programs,
by consolidating tasks that often happen to be open-coded, such as
(simple) config file reading, option parsing, directory traversal,
and others, into a library. The focus is on reducing the amount of
time (and secondarily, the amount of code) a developer has to spend
for otherwise implementing such.

%package devel
Summary:        Development for libHX, a routines collection for C and C++ programming
Group:          Development/Libraries/C and C++
Requires:       %lname = %version

%description devel
libHX is a C library (with some C++ bindings available) that provides
data structures and functions commonly needed, such as maps, deques,
linked lists, string formatting and autoresizing, option and config
file parsing, type checking casts and more.

%prep
%if 0%{?__xz:1}
%setup -q
%else
tar -xf "%{S:0}" --use=xz;
%setup -DTq
%endif

%build
mkdir obj
pushd obj/
%define _configure ../configure
%configure --includedir="%_includedir/%name" --docdir="%_docdir/%name"
make %{?_smp_mflags}
popd

%install
b="%buildroot"
%make_install -C obj
mkdir -p "$b/%_docdir/%name"
install -pm0644 doc/* "$b/%_docdir/%name"
rm -f "$b/%_docdir/%name"/Makefile*
find "$b/%_libdir" -type f -name "*.la" -delete

%check
make -C obj check %{?_smp_mflags}

%post   -n %lname -p /sbin/ldconfig
%postun -n %lname -p /sbin/ldconfig

%files -n %lname
%defattr(-,root,root)
%_libdir/libHX*.so.28*

%files devel
%defattr(-,root,root)
%_docdir/%name/
%_includedir/%name/
%_libdir/libHX*.so
%_libdir/pkgconfig/libHX.pc

%changelog
